<?php

namespace Src\Modules\Auth\Interfaces\Application\Admin;

use Src\Modules\Auth\Interfaces\Application\IFactory as IApplicationFactory;

interface IFactory
{
    public function setApplicationFactory(IApplicationFactory $factory): void;
    public function getDomain(): IDomain;
}